WordPress.org

Support

Support » Plugins and Hacks » Google Analyticator » [Plugin: Google Analyticator] OAuth2 Access service error?

[Plugin: Google Analyticator] OAuth2 Access service error?

Viewing 6 replies - 1 through 6 (of 6 total)
  • Same problem…

    Google Analytics UID: There was an Analytics API service error 400:Error fetching OAuth2 access token, message: ‘invalid_grant’

    Google Analytics Panel says that the monitoring code is installed

    What’s the problem?

    Thanks

    I second this. After installing 6.3.4 I tried to authenticate and wind up on an almost empty settings page displaying a warning that GA is disabled. Selecting enable doesn’t update the page; neither can I enter my UID. Errors given:

    Warning: require_once(service/Google_Utils.php) [function.require-once]: failed to open stream: No such file or directory in /[path to my install directory]/wp-content/plugins/google-analyticator/google-api-php-client/src/auth/Google_OAuth2.php on line 20

    Fatal error: require_once() [function.require]: Failed opening required ‘service/Google_Utils.php’ (include_path=’.:/usr/bin’) in /[path to my install directory]/wp-content/plugins/google-analyticator/google-api-php-client/src/auth/Google_OAuth2.php on line 20

    Yes. I’m getting the same…

    Warning: require_once(service/Google_Utils.php) [function.require-once]: failed to open stream: No such file or directory in /[path to my install directory]/wp-content/plugins/google-analyticator/google-api-php-client/src/auth/Google_OAuth2.php on line 20

    Fatal error: require_once() [function.require]: Failed opening required ‘service/Google_Utils.php’ (include_path=[mine’s a bit different here]) in /[path to my install directory]/wp-content/plugins/google-analyticator/google-api-php-client/src/auth/Google_OAuth2.php on line 20

    WordPress 3.4.2.

    I have the same problem
    Wordpress 3.4.2

    Same problem, aslo WordPress 3.4.2. Google Analyticator 6.3.4.

    I figured out how to fix my problem. It seems that Google Analytics now requires an authentication code. I have documented the steps here: http://www.celticwolf.com/blog/2012/10/02/wordpress-google-analyticator-error-analytics-api-service-error-0error-fetching-oauth2-access-token/

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Plugin: Google Analyticator] OAuth2 Access service error?’ is closed to new replies.
Skip to toolbar